Bug 466632 - SELinux is preventing alsactl (alsa_t) "getattr" to /usr/share/alsa/alsa.conf (usr_t).
SELinux is preventing alsactl (alsa_t) "getattr" to /usr/share/alsa/alsa.conf...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-11 17:23 EDT by Alex Chiang
Modified: 2008-10-15 09:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 09:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Chiang 2008-10-11 17:23:45 EDT
Summary:

SELinux is preventing alsactl (alsa_t) "getattr" to /usr/share/alsa/alsa.conf
(usr_t).

Detailed Description:

SELinux denied access requested by alsactl. It is not expected that this access
is required by alsactl and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for /usr/share/alsa/alsa.conf,

restorecon -v '/usr/share/alsa/alsa.conf'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:alsa_t:s0
Target Context                system_u:object_r:usr_t:s0
Target Objects                /usr/share/alsa/alsa.conf [ file ]
Source                        alsactl
Source Path                   /sbin/alsactl
Port                          <Unknown>
Host                          ethanol
Source RPM Packages           alsa-utils-1.0.18-1.rc3.fc10
Target RPM Packages           alsa-lib-1.0.18-6.rc3.fc10
Policy RPM                    selinux-policy-3.5.7-1.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     ethanol
Platform                      Linux ethanol 2.6.27-0.352.rc7.git1.fc10.i686 #1
                              SMP Tue Sep 23 21:26:04 EDT 2008 i686 i686
Alert Count                   2
First Seen                    Fri 10 Oct 2008 08:36:02 PM MDT
Last Seen                     Sat 11 Oct 2008 02:14:38 PM MDT
Local ID                      7eeb4810-a94b-4027-bda2-6d9da458fae9
Line Numbers                  

Raw Audit Messages            

node=ethanol type=AVC msg=audit(1223756078.94:152): avc:  denied  { getattr } for  pid=2794 comm="alsactl" path="/usr/share/alsa/alsa.conf" dev=dm-0 ino=2442058 scontext=system_u:system_r:alsa_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=ethanol type=SYSCALL msg=audit(1223756078.94:152): arch=40000003 syscall=195 success=no exit=-13 a0=86e5118 a1=bfcc9744 a2=389ff4 a3=0 items=0 ppid=2793 pid=2794 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="alsactl" exe="/sbin/alsactl" subj=system_u:system_r:alsa_t:s0 key=(null)
Comment 1 Daniel Walsh 2008-10-15 09:56:51 EDT
Fixed in selinux-policy-3.5.12-1.fc10.noarch

Note You need to log in before you can comment on or make changes to this bug.